Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleTypeList

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaSimpleTypeContent
                  org.apache.ws.commons.schema.XmlSchemaSimpleTypeList

    public class XmlSchemaSimpleTypeList

extends XmlSchemaSimpleTypeContent

Class for the list of simpleType elements. Defines a simpleType element as a list of values of a specified data type. Represents the World Wide Web Consortium (W3C) list element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleTypeList()` Creates new XmlSchemaSimpleTypeList

Method Summary
`XmlSchemaSimpleType` | `getItemType()`
`javax.xml.namespace.QName` | `getItemTypeName()`
`void` | `setItemType(XmlSchemaSimpleType itemType)`
`void` | `setItemTypeName(javax.xml.namespace.QName itemTypeName)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleTypeList

    public XmlSchemaSimpleTypeList()

  Creates new XmlSchemaSimpleTypeList

Method Detail

### getItemType

    public XmlSchemaSimpleType getItemType()

### setItemType

    public void setItemType(XmlSchemaSimpleType itemType)

### getItemTypeName

    public javax.xml.namespace.QName getItemTypeName()

### setItemTypeName

    public void setItemTypeName(javax.xml.namespace.QName itemTypeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.